d = d + 1
a = 0
if d <= 5 and a = 0 then
enemy[1].DEF = enemy[1].DEF +2
a = 1
end
counter = 0
while b == 0 do
screen:blit(1,171,textbox)
screen:print(55,190, enemy[1].name.." used harden."..enemy[1].name "'s defence went up.", blue)
if d > 5 then
screen:print(55,190,enemy[1].name.."'s defence can't go up any higher.", blue)
counter = counter + 1
if pad:r() and oldpad:r() ~= pad:r() and counter >= 15 then
	counter = 0
	turn = 0
	b = 1
end
screen.flip()
oldpad = pad
end